Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkAuthorization

Represents an OpenIddict authorization.

##### Inheritance

System.Object
OpenIddictEntityFrameworkAuthorization<System.String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>
OpenIddictEntityFrameworkAuthorization

##### Inherited Members

OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Application
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.ConcurrencyToken
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.CreationDate
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Id
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Properties
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Scopes
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Status
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Subject
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Tokens
OpenIddictEntityFrameworkAuthorization<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkAuthorization : OpenIddictEntityFrameworkAuthorization<string, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkToken>

### Constructors

#### OpenIddictEntityFrameworkAuthorization()

##### Declaration

    public OpenIddictEntityFrameworkAuthorization()